// $Id: test-index-remove.C,v 1.1.1.1 2002/03/24 12:37:03 dvermeir Exp $
#include <fstream>
#include <iterator>
#include "index.h"
#include "word.h"

int
main() {
try {
  static const string ifn("stringpool.C");
  
  ifstream ifs(ifn.c_str());
  Index index(6);

  index.insert(ifn, ifs);
  index.remove(ifn);
  if (index.size())
    throw runtime_error("index size nonzero");
  }
catch (exception& e) {
  cerr << e.what() << endl;
  return 1;
  }
return 0;
}
