// $Id: test-wordstreamiterator2.C,v 1.1.1.1 2002/03/24 12:37:04 dvermeir Exp $
#include <fstream>
#include <algorithm>
#include <sstream>
#include <iterator>
#include <list>
#include "word.h"
#include "wordstreamiterator.h"

int
main() {
static const string s("aaa bbb ccc ");
try {
  set<string> ignore;
  istringstream iss(s);
  wordstream_iterator i(iss,ignore);
  list<string> l;
  copy(i, wordstream_iterator(), back_inserter(l));
  return ( l.size() == 3 ? 0 : 1);
  }
catch (exception& e) {
  cerr << e.what() << endl;
  return 1;
  }
return 0;
}
